<div class="navbar">
  <div class="logo" [routerLink]="['/home']">
    <img src="assets/images/logo.png" alt="" />
  </div>

  <div class="search">
    <form [formGroup]="searchForm">
      <i class="fa fa-search"></i>
      <input type="text" placeholder="Search" formControlName="name" />
    </form>
  </div>
  <div class="links">
    <div class="link" routerLinkActive="active" [routerLink]="['/home']">Home</div>
    <div class="link" routerLinkActive="active" [routerLink]="['/trends']">Followings</div>
    <div class="link" routerLinkActive="active" [routerLink]="['/trends']">Trends</div>
    <div class="link" routerLinkActive="active" [routerLink]="['/favorites']">Favorites</div>
    <div class="link" routerLinkActive="active" [routerLink]="['/boards']">Boards</div>
  </div>
  <div class="icons">
    <!-- <div class="icon">
      <i class="fa fa-bell" (click)="dropdownBellState = !dropdownBellState"></i>
      <div class="dropdown" [ngClass]="{ 'active': dropdownBellState }">
        <div class="item" [routerLink]="['/profile']" (click)="dropdownBellState = !dropdownBellState">Profile</div>
        <div class="item" (click)="onLogoutOut()">Logout</div>
      </div> -->
    <div class="icon">
      <i
        class="fa fa-bell"
        (click)="dropdownStateNotif = !dropdownStateNotif"
        (clickOutside)="closeDropdownNotif()"
      ></i>
      <div class="dropdown notif" [ngClass]="{ 'active': dropdownStateNotif }">
        <div
          class="item"
          *ngFor="let notif of recentNotifications$ | async"
          [routerLink]="['/post/', notif.notifiable_id]"
        >
          <small class="date">
            {{ notif.created_at | dateAgo }}
          </small>
          <img
            height="30px"
            width="30px"
            style="border-radius: 10rem"
            class="mr-4"
            [src]="getImage(notif.sender.image)"
            alt=""
          />
          {{ notif.message }}
        </div>
        <div *ngIf="recentNotifications$ | async as notif">
          <div
            class="see_all"
            [routerLink]="['/notifications']"
            *ngIf="notif.length > 0"
            (click)="dropdownStateNotif = !dropdownStateNotif"
          >
            See all
          </div>
          <div
            class="no_notif"
            *ngIf="notif.length == 0"
            (click)="dropdownStateNotif = !dropdownStateNotif"
            [ngStyle]="{ 'cursor': 'auto' }"
          >
            No notifications
          </div>
        </div>
      </div>
    </div>

    <div class="icon">
      <i class="fa fa-heart" (click)="dropdownFriendReqStateNotif = !dropdownFriendReqStateNotif"></i>
      <div class="dropdown notif" [ngClass]="{ 'active': dropdownFriendReqStateNotif }">
        <div class="item" *ngFor="let friend of friends$ | async">
          <img
            height="30px"
            width="30px"
            style="border-radius: 10rem"
            class="mr-4"
            [src]="
              friend.user.image !== null
                ? getImage(friend.user.image)
                : 'https://www.computerhope.com/jargon/g/guest-user.jpg'
            "
            alt=""
          />
          {{ friend.user.fname }} {{ friend.user.lname }}
          <small class="date" (click)="acceptRequest(friend.id)">
            Accept
          </small>
        </div>

        <div *ngIf="friends$ | async as friend">
          <div
            class="see_all"
            [routerLink]="['/requests']"
            *ngIf="friend.length > 0"
            (click)="dropdownFriendReqStateNotif = !dropdownFriendReqStateNotif"
          >
            See all
          </div>
          <div
            class="no_notif"
            *ngIf="friend.length == 0"
            (click)="dropdownFriendReqStateNotif = !dropdownFriendReqStateNotif"
            [ngStyle]="{ 'cursor': 'auto' }"
          >
            No Requests
          </div>
        </div>
      </div>
    </div>

    <div class="profile-shortcut">
      <img
        [src]="profilePhoto ? getImage(profilePhoto) : 'assets/images/no-image.png'"
        alt=""
        (click)="dropdownState = !dropdownState"
        (clickOutside)="closeDropdownProfile()"
      />
      <div class="dropdown" [ngClass]="{ 'active': dropdownState }">
        <div class="item" [routerLink]="['/profile']" (click)="dropdownState = !dropdownState">Profile</div>
        <div class="item" [routerLink]="['/wallet']" (click)="dropdownState = !dropdownState">Account</div>
        <div class="item" (click)="onLogoutOut()">Logout</div>
      </div>
    </div>

    <!-- <i class="fa fa-list-ul icon"></i> -->
  </div>
</div>
<button [routerLink]="['/post/new']" class="create shortcut-button" *ngIf="hasAccount == true">+</button>
<!-- <button class="info shortcut-button">?</button> -->
